<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:http="http://www.mulesoft.org/schema/mule/http" xmlns="http://www.mulesoft.org/schema/mule/core"
	xmlns:doc="http://www.mulesoft.org/schema/mule/documentation"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd
http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd">
	<flow name="sys-sms-send:flow" doc:id="7c59ad65-6af8-4748-aa41-a91e78c5935f" >
		<logger level="INFO" doc:name="Log Start Send SMS" doc:id="acf17786-4f36-4e66-9c8a-d1480663a6d1" message='#["correlation-id: " ++ vars.cid ++ " -- Start Send SMS"]' />
		<http:request method="POST" doc:name="HTTP POST Send SMS Message" doc:id="38cf6ebc-83f6-4ba2-9f31-74bf00b33f4a" config-ref="SMS_HTTP_Request_configuration" path="/${sms.end}" target="sys-sms-send-payload">
			<http:body ><![CDATA[#[%dw 2.0
output application/json
---
{
  "fromAddress":"8888",
  "smsMessaging":{
    "address": vars.msisdn,
    "message": vars.sms_message
  }
}]]]></http:body>
			<http:headers ><![CDATA[#[output application/java
---
{
	"correlationid" : vars.id,
	"Content-Type" : "application/json"
}]]]></http:headers>
		</http:request>
		<logger level="INFO" doc:name="Log End Send SMS" doc:id="f0c3fa7c-e656-4d7b-bbd4-a37029efac55" message='#["correlation-id: " ++ vars.cid ++ " -- Start Send SMS"]' />
	</flow>
</mule>
